Subject: bug#50491: [PATCH] Re: bug#50491: 28.0.50; load-theme in early-init does not fully loads/enables expected faces

From: Y. E. <[email-masked]>
Date: Wed, 15 Sep 2021 13:22:34 +0300

Suggested changes:

1.
> The early-init file is not meant to support every single
> customization of Emacs, only those that must be done before loading
> init.el.

Then I suggest replacing "desirable" with "necessary" or a similar word
with the meaning "cannot avoid".

2.
Optionally, consider adjusting the wording at the beginning of the second
paragraph.
It sounded perfect until the later commit 4118297ae2f added an intro phrase
(an extracted version of the second paragraph).
Current getting back to the same topic, after discussing another detail
in the mid, without reference to the already expressed idea breaks smooth
perception.

****
Regardless of the changes, please let me know if the patch formatted/sent
the way you'd normally would expect (prefer) it to be done.
I followed CONTRIBUTE guidelines (the file contains a lot of information,
so I might have missed something), used 'git format-patch', and sent
the patch as an attachment via Rmail ('C-c C-a').

Particularly:
The patch itself seems got a whitespace added at the end of file,
even though there's no such whitespace in the diff/commit I have locally.
Is it expected behavior?

Thank you.

>From 1821e64673e86565ab870bc4ff6f8d897c2ea2cf Mon Sep 17 00:00:00 2001
From: YE <[email-masked]>
Date: Wed, 15 Sep 2021 12:23:15 +0300
Subject: [PATCH] ; * doc/emacs/custom.texi (Early Init): Improve wording
 (Bug#50491)

---
 doc/emacs/custom.texi | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/doc/emacs/custom.texi b/doc/emacs/custom.texi
index 9220a2078f..564393e17e 100644
--- a/doc/emacs/custom.texi
+++ b/doc/emacs/custom.texi
@@ -2807,7 +2807,7 @@ Early Init File
 @cindex early init file
 
   Most customizations for Emacs should be put in the normal init file.
-@xref{Init File}.  However, it is sometimes desirable
+@xref{Init File}.  However, it is sometimes necessary
 to have customizations that take effect during Emacs startup earlier than the
 normal init file is processed.  Such customizations can be put in the early
 init file, @file{~/.config/emacs/early-init.el} or @file{~/.emacs.d/early-init.el}.  This file is loaded before the
@@ -2819,7 +2819,7 @@ Early Init File
 making already-installed packages available, may be customized in the regular
 init file.  @xref{Package Installation}.
 
-  We do not recommend that you move into @file{early-init.el}
+  We emphasize again, that it is not recommended to move into @file{early-init.el}
 customizations that can be left in the normal init files.  That is
 because the early init file is read before the GUI is initialized, so
 customizations related to GUI features will not work reliably in
-- 
2.30.0